import { OnGatewayConnection, OnGatewayDisconnect, WebSocketGateway } from '@nestjs/websockets';
import { BatallaService } from './batalla.service';
import { Socket } from 'socket.io';

@WebSocketGateway({ namespace: 'batalla' })
export class BatallaGateway  implements OnGatewayConnection, OnGatewayDisconnect {
  constructor(private readonly batallaService: BatallaService) {}

  handleConnection(client: Socket) {
    const {userId,gameId}=client.handshake.auth
    
  }


  handleDisconnect(client: Socket) {

  }

}